JAVAC = javac

%.class: %.java
	$(JAVAC) $<


all: TalkApp.class

.PHONY: doc
doc:
	if [ ! -d doc ]; then mkdir doc; fi
	javadoc -d doc -package talk

clean:
	rm -f *.class

CtlMsg.class: CtlMsg.java SockaddrIn.class TalkInfo.class TalkdException.class
CtlResponse.class: CtlResponse.java SockaddrIn.class TalkdException.class
ITalkApp.class: ITalkApp.java ITalkSession.class ITalkView.class \
	TalkOptions.class
ITalkSession.class: ITalkSession.java
ITalkView.class: ITalkView.java
Logger.class: Logger.java
SockaddrIn.class: SockaddrIn.java TalkdException.class
TalkApp.class: TalkApp.java ITalkSession.class ITalkView.class \
	TalkOptions.class TalkServer.class TalkSession.class \
	TalkView.class
TalkInfo.class: TalkInfo.java
TalkOptions.class: TalkOptions.java
TalkServer.class: TalkServer.java CtlMsg.class CtlResponse.class \
	Logger.class
TalkSession.class: TalkSession.java ITalkApp.class ITalkSession.class \
	Logger.class TalkTransact.class
TalkTransact.class: TalkTransact.java CtlMsg.class CtlResponse.class \
	Logger.class SockaddrIn.class TalkInfo.class
TalkView.class: TalkView.java ITalkSession.class ITalkView.class \
	Logger.class
TalkdException.class: TalkdException.java
